# 32/64bit spec-file
#
%{!?python_sitelib:%global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch:%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

#define ENABLE_TESTS -DENABLE_TESTS:BOOL=ON

Name:           avogadro
Version:        1.1.1
Release:        %mkrel 2
Summary:        An advanced molecular editor for chemical purposes

Group:          Education
License:        GPLv2
URL:            http://avogadro.openmolecules.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:         avogadro-1.1.1-fix_qmake_mkspecs_installation.patch
Patch1:         avogadro-1.0.3-fix-moc.patch
Patch2:         avogadro-1.1.1-pkgconfig_eigen.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  cmake >= 2.6.0
BuildRequires:  %{_lib}qt4-devel >= 4.6
BuildRequires:  eigen2 >= 2.0
BuildRequires:  %{_lib}openbabel-devel >= 2.3.0
BuildRequires:  %{_lib}boost-devel >= 1.35
BuildRequires:  %{_lib}glew-devel >= 1.5.0
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  python-sip python-qt4 python-numpy
BuildConflicts: %{_lib}eigen1-devel
BuildConflicts: %{_lib}eigen3-devel
Requires: %{name}-libs = %{version}-%{release}

%description
An advanced molecular editor designed for 
cross-platform use in computational chemistry,
molecular modeling, bioinformatics, materials science,
and related areas, which offers flexible rendering and
a powerful plugin architecture.


%package libs
Summary:        Shared libraries for Avogadro
Group:          System/Libraries
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%description libs
This package contains the shared libraries for the
molecular editor Avogadro.


%package devel
Summary:        Development files for Avogadro
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}


%description devel
This package contains files to develop applications using 
Avogadros libraries.


%prep
%setup -q
%apply_patches
# nuke unpatched copy, use working version included in cmake instead -- Rex
rm -f cmake/modules/FindPythonLibs.cmake


%build

export LDFLAGS="-lX11"

%cmake_qt4 \
        %{?ENABLE_TESTS} \
        -DENABLE_GLSL:BOOL=ON \
        -DENABLE_PYTHON:BOOL=ON \
        -DCMAKE_SKIP_RPATH:BOOL=ON

%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%find_lang libavogadro --without-mo
%find_lang avogadro --without-mo


%clean
rm -rf $RPM_BUILD_ROOT


%files -f avogadro.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/avogadro
%{_bindir}/avopkg
%{_datadir}/avogadro/builder/
%{_datadir}/avogadro/fragments/
%{_datadir}/avogadro/crystals/
%{_datadir}/pixmaps/avogadro-icon.png
%{_datadir}/applications/avogadro.desktop
%{_mandir}/man1/avogadro.1*
%{_mandir}/man1/avopkg.1*
# find_lang doesn't support ca@valencia for qm files
%lang(ca@valencia) %{_datadir}/avogadro/i18n/avogadro_ca@valencia.qm

%files devel
%defattr(-,root,root,-)
%{_includedir}/avogadro/
%{_libdir}/libavogadro.so
%{_libdir}/libavogadro_OpenQube.so
%{_libdir}/avogadro/*.cmake
%{_libdir}/avogadro/1_1/*.cmake
%{_libdir}/pkgconfig/avogadro.pc
%{_libdir}/avogadro/1_1/cmake/
%{_libdir}/qt4/mkspecs/features/avogadro.prf

%files libs -f libavogadro.lang
%defattr(-,root,root,-)
#%{python_sitearch}/Avogadro.so
%{_datadir}/libavogadro/
%{_datadir}/avogadro/i18n
%{_libdir}/libavogadro.so.1*
%{_libdir}/libavogadro_OpenQube.so.0*
%dir %{_libdir}/avogadro/
%dir %{_libdir}/avogadro/1_1/
%{_libdir}/avogadro/1_1/colors/
%{_libdir}/avogadro/1_1/extensions/
%{_libdir}/avogadro/1_1/engines/
%{_libdir}/avogadro/1_1/tools/

%changelog
* Mon Dec 26 2016 adrianomorselli <adrianomorselli> 1.1.1-2uplos2016
- rebuild

* Mon Mar 21 2016 bb <bb> 1.1.1-2pclos2016
- rebuild for new boost

* Fri Mar 13 2015 bb <bb> 1.1.1-1pclos2015
- update and build against latest boost so
- boost 1.50.0 can be removed.

* Fri Aug 16 2013 billybot <billybot> 1.1.0-2pclos2013
- update python 2.7

* Tue Mar 12 2013 pinoc <vogtpet at gmail.com> 1.1.0-1pclos2013
- 1.1.0

